#section-program {
    width: calc(100% - 30px);
    max-width: 770px;
    margin: 0 auto 75px auto;
}

#section-program-header {
    margin-bottom: 50px;
}

.section-program-group-description {
    margin-bottom: 30px;
}

.section-program-group:not(:last-of-type) {
    margin-bottom: 50px;
}

.section-program-group-description-title {
    margin-bottom: 10px;
}

.section-program-group-description-text {
    line-height: 25px;
}

.section-program-group-description-text a {
    text-decoration: none;
    font-weight: bold;
    color: inherit;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}

.section-program-group-description-text a:hover {
    text-decoration: underline;
}

.section-program-group-location.hasmore {
    cursor: pointer;
}

.section-program-group-location.hasmore .section-program-group-location-description::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 64px;
    pointer-events: none;
}

.section-program-group-location.hasmore .section-program-group-location-description::after {
    content: "\e906";
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    width: 24px;
    height: 24px;
    font-size: 24px;
    margin: 8px auto 0 auto;

    transition: transform 250ms ease-in-out;
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.section-program-group-location.hasmore.readmore .section-program-group-location-description::after {
    transform: rotate(180deg);
}

.section-program-group-location-wrap {
    filter: drop-shadow(var(--box-shadow));
    -webkit-filter: drop-shadow(var(--box-shadow));
}

.section-program-group-location-wrap:not(:last-of-type){
    margin-bottom: 15px;
}

.section-program-group-location {
    padding: 20px 30px 20px 30px;
    display: flex;
    justify-content: space-between;
    justify-content: space-between;
    /* min-height: 130px; */
    /* background-color: var(--white-color); */

    mask: linear-gradient(white, white), url('../../images/rounded-shapes/bca.svg');
    mask-size: calc(100% - 35px) 100%, 36px 100%;
    mask-position: 0% 0%, 100% 0%;
    mask-repeat: no-repeat;

    -webkit-mask: linear-gradient(white, white), url('../../images/rounded-shapes/bca.svg');
    -webkit-mask-size: calc(100% - 35px) 100%, 36px 100%;
    -webkit-mask-position: 0% 0%, 100% 0%;
    -webkit-mask-repeat: no-repeat;
}

.section-program-group-location-wrap:nth-of-type(3n + 1) .section-program-group-location {
    background-color: rgba(var(--r), var(--g), var(--b), 1);
}
.section-program-group-location-wrap:nth-of-type(3n + 2) .section-program-group-location {
    background-color: rgba(var(--r), var(--g), var(--b), 0.85);
}
.section-program-group-location-wrap:nth-of-type(3n) .section-program-group-location {
    background-color: rgba(var(--r), var(--g), var(--b), 0.7);
}

.section-program-group-location-description {
    margin-right: 20px;
    display: flex;
    flex-direction: column;
    position: relative;
}

.section-program-group-location-description-title {
    color: var(--white-color);
}
.section-program-group-location-description-text {
    font-size: 14px;
    line-height: 17px;
    flex-grow: 1;
    color: var(--white-color);
    overflow: hidden;
    transition: max-height 0.15s ease-in-out;
}

.section-program-group-location:not(.readmore) .section-program-group-location-description-text {
    max-height: 68px!important;
}

.section-program-group-location-description-location {
    font-size: 14px;
    line-height: 20px;
    display: flex;
    align-items: center;
}

.section-program-group-location-description-location i {
    font-size: 0.875em;
    margin-right: 8px;
}

.section-program-group-location-dates {
    display: flex;
    flex-direction: column;
    flex-grow: 0;
    flex-shrink: 0;
    margin-left: 30px;
}

.section-program-group-location-date {
    display: flex;
    flex-direction: column;
    border-radius: 20.5px;
    font-size: 14px;
}
.section-program-group-location-date:not(:last-of-type){
    margin-bottom: 10px;
}

.section-program-group-location-date-date {
    min-width: 165px;
    margin-left: 20px;
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.section-program-group-location-date-time {
    margin-right: 20px;
    margin-left: 10px;
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.section-program-group-location-date-date i,
.section-program-group-location-date-time i {
    font-size: 0.875em;
    margin-right: 8px;
}

.section-program-group-location-date-apply > span {
    display: block;
    font-size: 16px;
    line-height: 25px;
    padding: 8px 20px;
}

.section-program-group-location-date-fulltext {
    color: #fff;
    font-weight: bold;
    text-align: center;
    margin-top: 5px;
    font-size: 18px;
    line-height: 1.6em;
}

#section-program .button,
#section-form .button {
    display: inline-block;
    text-decoration: none;
    border-radius: 37.5px;
    padding: 8px 20px;
    background-color: var(--secondary-color)!important;
    color: var(--white-color);
    transition: all 0.15s ease-in-out;
    font-size: 16px;
    line-height: 25px;
    appearance: normal;
    -webkit-appearance: none;
    border: none;
    cursor: pointer;
}

#section-program .button {
    width: 150px;
}

#section-program .button span {
    justify-content: center;
}

#section-program .button-disabled,
#section-form .button-disabled {
    background-color: #aaa!important;
    color: #ddd;
    cursor: not-allowed;
}
#section-program .button:not(.button-disabled):hover {
    background-color: var(--white-color)!important;
    color: var(--secondary-color);
}
#section-form .button:not(.button-disabled):hover {
    background-color: var(--primary-color)!important;
}

#section-program header p {
    max-width: 445px;
}

@media only screen and (max-width: 800px) {
    .section-program-group-location {
        flex-direction: column;
    }
    .section-program-group-location-description {
        margin-right: 0;
        margin-bottom: 15px;
    }
    .section-program-group-location-dates {
        width: auto;
        margin: 0;
    }
    .section-program-group-location-description-location {
        margin-top: 10px;
    }
    #section-program-header-title,
    #section-program-header-subtitle,
    .section-program-group-description-title,
    .section-program-group-description-text {
        padding: 0;
    }
}



@media only screen and (max-width: 600px) {
    .section-program-group-location-date {
        flex-direction: column;
        align-items: flex-start;
    }
    .section-program-group-location-date-date {
        margin: 0 0 6px 0;
    }
    .section-program-group-location-date-time {
        margin: 0 0 15px 0;
    }
    .section-program-group-location {
        padding: 15px;
    }
    .section-program-group-location-date-apply {
        width: 100%;
    }
    .section-program-group-location-date-apply > span {
        padding: 0;
    }
    .section-program-group-location {

        mask: linear-gradient(white, white), url('../../images/rounded-shapes/bac.svg');
        mask-size: 100% calc(100% - 35px), 100% 36px;
        mask-position: 0% 0%, 0% 100%;
        mask-repeat: no-repeat;

        padding: 15px 15px 50px 15px;

        -webkit-mask: linear-gradient(white, white), url('../../images/rounded-shapes/bac.svg');
        -webkit-mask-size: 100% calc(100% - 35px), 100% 36px;
        -webkit-mask-position: 0% 0%, 0% 100%;
        -webkit-mask-repeat: no-repeat;

    }

    #section-program-header-title,
    #section-program-header-subtitle,
    .section-program-group-description-title,
    .section-program-group-description-text {
        padding: 0;
    }

    .section-program-group:not(:last-of-type) {
        margin-bottom: 65px;
    }
}




#section-form {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    margin: 0;

    background-color: var(--overlay-color);

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    visibility: hidden;

    z-index: 100;
    padding: 0!important;
}

body.init #section-form {
    transition: all 400ms ease-in-out;
}

body.show-form #section-form {
    opacity: 1;
    visibility: visible;
}

#section-form-inner {
    position: relative;
    background-color: var(--white-color);
    max-width: 770px;
    width: calc(100% - 40px);
}

#section-form-content {
    overflow: auto;
    padding: 60px 80px;
    max-height: calc(100vh - 40px);
}

#section-form-close {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 20px;
    color: var(--text-color);
    text-decoration: none;
    transition: transform 200ms ease-in-out;
}

#section-form-close:hover {
    transform: scale(1.25);
}

#section-form h2 {
    margin: 0 0 20px 0;
}

#section-form h3 {
    margin: 40px 0 20px 0;
    font-size: 20px;
}

#section-form-choices {
    display: flex;
    justify-content: space-between;
}

#form-choices {
    column-count: 2;
    display: block;
}

#section-form .wpcf7-list-item {
    margin: 0 0 15px 0;
    display: block;
    break-inside: avoid-column;
    padding-top: 2px;
}

#section-form .wpcf7-checkbox label input {
    display: none;
}

#section-form .wpcf7-checkbox label span {
    display: flex;
}

#section-form .wpcf7-checkbox label span:before {
    font-family: 'icomoon';
    content: '\e908';
    display: flex;
    width: 25px;
    height: 25px;
    border: 1px solid var(--text-color);
    border-radius: 5px;
    margin-right: 15px;
    flex-shrink: 0;
    transform: translateY(-2px);
    align-items: center;
    justify-content: center;
    font-size: 10px;
    color: transparent;
    transition: color 200ms ease-in-out;
}

#section-form .wpcf7-checkbox label input:checked + span:before {
    color: var(--text-color);
}

#section-form input[type=number],
#section-form input[type=text],
#section-form input[type=email],
#section-form input[type=tel],
#section-form select,
#section-form textarea {
    border: 1px solid var(--text-color);
    border-radius: 6px;
    padding: 4px 8px;
    outline: none;
    appearance: normal;
    -webkit-appearance: none;
    font-size: 16px;
}

#section-form input[type=number],
#section-form input[type=text],
#section-form input[type=email],
#section-form input[type=tel],
#section-form textarea {
    width: 100%;
}

#section-form input[readonly] {
    padding: 6px 10px;
    opacity: 0.6;
    font-size: 14px;
}

#section-form select {
    padding-right: 65px;
    background-image: url('../images/select-arrow.svg');
    background-repeat: no-repeat;
    background-position: calc(100% - 20px) 50%;
}

.wpcf7-list-item-label {
    transition: opacity 0.25s ease-in-out;
}

.max-choices input:not(:checked) + .wpcf7-list-item-label{
    opacity: 0.5;
}

.section-form-row,
.section-form-cols {
    margin-bottom: 20px;
}

#section-form .wpcf7-form > label,
.section-form-row > label,
.section-form-col > label {
    font-size: 14px;
    line-height: 26px;
    margin-bottom: 5px;
    display: block;
}

.section-form-cols {
    display: flex;
}

.section-form-col:not(:last-of-type){
    margin-right: 20px;
}

.section-form-col {
    width: calc(50% - 10px);
}

#section-form-text {
    margin: 40px 0 20px 0;
}

#section-form .wpcf7-response-output {
    margin: 30px 0 20px 0;
    padding: 10px;
    border-radius: 15px;
}

#section-form-selection {
    margin-top: 15px;
}

#section-form-selection label{
    font-size: 12px;
    line-height: 1em;
    opacity: 0.8;
}

#section-form-success {
    text-align: center;
    overflow: auto;
    padding: 60px 80px;
    max-height: calc(100vh - 40px);
}

#section-form-success a {
    color: inherit;
    text-decoration: underline;
}
#section-form-success a:hover {
    text-decoration: none;
}

#section-form-success i {
    color: var(--primary-color);
    font-size: 40px;
}
#section-form-success h2 {
    max-width: 470px;
    margin: 0 auto 20px auto;
}

#section-form.success #section-form-content,
#section-form:not(.success) #section-form-success {
    display: none;
}

#section-program-text {
    margin-bottom: 50px;
}

#section-program-text a {
    color: inherit;
}

#section-form-close {
    position: absolute;
    width: 50px;
    height: 50px;
    color: var(--primary-color);
    font-size: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#section-form form.busy::after {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.75);
}

.section-program-group-location-date-apply {
    display: flex;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.25);
    border-radius: 37.5px;
}

.section-program-group-location-date-timeslot {
    display: flex;
    align-items: center;
    padding: 0 10px 0 20px;
    color: var(--white-color);
    flex-grow: 1;
}

.section-program-group-location-date-timeslot > span {
    width: 100px;
    display: flex;
    align-items: center;
    margin-right: 15px;
    white-space: nowrap;
}

.section-program-group-location-date-timeslot i {
    font-size: 12px;
    transform: translateY(0.75px);
    margin-right: 15px;
}

.section-program-location {
    position: absolute;
    left: 30px;
    bottom: 20px;
    color: var(--white-color);
    font-weight: bold;
    display: flex;
    align-items: center;
    font-size: 22px;
}

.section-program-location i {
    margin-right: 10px;
}

#section-program p {
    line-height: 24px;
    font-size: 16px;
    margin: 20px 0;
}

@media only screen and (max-width: 800px) {
    #section-form-content {
        padding: 50px;
    }
}

@media only screen and (max-width: 600px) {
    #section-form-content {
        padding: 40px;
    }
    #section-form-choices {
        flex-direction: column;
    }
    #section-form-choices .form-choices {
        width: auto;
    }

    #section-form-inner {
        width: calc(100% - 30px);
    }
    #section-form-content {
        max-height: calc(100vh - 30px);
    }

    .section-form-cols {
        flex-direction: column;
    }

    .section-form-col:not(:last-of-type){
        margin-right: 0;
        margin-bottom: 15px;
    }

    #form-choices {
        column-count: 1;
    }

}

@media only screen and (max-width: 500px) {
    #section-form-content {
        padding: 30px;
    }
}

@media only screen and (max-width: 400px) {
    #section-form-content {
        padding: 20px;
    }

    #section-form-inner {
        width: calc(100% - 20px);
    }
    #section-form-content {
        max-height: calc(100vh - 20px);
    }
}

#section-form #section-form-inner #section-form-content-scroll .form-row {
    display: flex;
    align-items: center;
    gap: 20px;
}

#section-form #section-form-inner #section-form-content-scroll .form-row > div {
    width: 100%;
}

#section-form #section-form-inner #section-form-content-scroll .form-row p {
    font-size: 12px;
    margin: 2px 0;
}

#section-form #section-form-inner #section-form-content-scroll .form-row label {
    width: 150px;
    flex-grow: 0;
    flex-shrink: 0;
}

#section-form #section-form-inner #section-form-content-scroll .form-submit input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

#section-form #section-form-inner #section-form-content-scroll .form-row select,
#section-form #section-form-inner #section-form-content-scroll .form-row input[type=number],
#section-form #section-form-inner #section-form-content-scroll .form-row input[type=text],
#section-form #section-form-inner #section-form-content-scroll .form-row input[type=email],
#section-form #section-form-inner #section-form-content-scroll .form-row input[type=tel],
#section-form #section-form-inner #section-form-content-scroll .form-row textarea {
    width: calc(100% - 170px);
}

